Skip to main content
GET
/
v2
/
refund
/
support
/
chains
Query Refund Supported Chains
curl --request GET \
  --url http://sandbox.mintlify.com/v2/refund/support/chains \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "code": "000000",
  "data": {
    "currency": "USDT",
    "chains": [
      {
        "chain": "MATIC",
        "currency": "USDT",
        "symbol": null,
        "hasWithdrawMemo": 0,
        "withdrawPercent": "0",
        "withdrawFix": "1",
        "full_curr_type": "",
        "explorer_url": null,
        "show_chain_name_en": "MATIC"
      }
    ]
  },
  "status": "SUCCESS",
  "errorMessage": ""
}

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID, obtained from GatePay platform

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

HMAC-SHA256 signature for request validation

Example:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
required

Timestamp in milliseconds, must not differ from server time by more than 5 minutes

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random nonce for replay attack prevention

Example:

"9578"

Query Parameters

currency
string
required

Order currency

Example:

"USDT"

Response

200 - application/json

Supported chains retrieved successfully

status
string

Response status

code
string

Response code

errorMessage
string

Error message

data
object